<?php

namespace App\Domains\Legal\Controllers;

use App\Providers\InertiaProvider;
use App\Scopes\CommonController;
use Illuminate\Http\Request;
use Inertia\Response;

class GdprController extends CommonController
{
    public function __invoke(Request $request): Response
    {
        $inertiaProvider = new InertiaProvider('Legal/LegalPage', [
            'title' => 'Datenschutzerklärung',
            'content' => $this->tenant->gdpr_text ?? '',
        ]);
        return $inertiaProvider->render();
    }
}
